/*
    objc-load.h - Dynamically load in Obj-C modules (Classes, Categories)

    Copyright (C) 1993, Adam Fedor.
    
    objc-load.h,v 1.2 1994/02/01 22:40:57 pfkeb Exp
*/

#ifndef _OBJC_LOAD_INCLUDE_
#define _OBJC_LOAD_INCLUDE_

#include <stdio.h>
#include <objc/objc.h>

extern char *objc_executable_location();

extern long objc_load_module(
	char *module,
	FILE *errorStream,
	void (*loadCallback)(Class*, Category*)
);

extern long objc_unload_module(
	FILE *errorStream,
	void (*unloadCallback)(Class*, Category*)
);

#endif /* _OBJC_LOAD_H_ */
